When enabled, verifies the user has access to the document before adding comments.
This ensures comments respect document access permissions configured via Access Control or Permission Provider.Default: false
Use this for self-hosting comments data. Set this as true if this comment will have text content. Sometimes, comments might only have attachments and in that case, set this as false.
Customer-defined action chips rendered on this comment row. Overrides the annotation-level actions default for this row. Capped at 20 entries. See CommentAction for the full shape.
When enabled, this reply triggers exactly one notification through the same funnel as a new comment. Defaults to false and is never persisted onto the comment.
Agent ID. Must be non-empty for both sources. When agentSource is velt, it is a built-in agent like spell-check or a custom agent ID that is verified server-side (unknown IDs return NOT_FOUND). When agentSource is external, it is your own identifier — opaque and never validated against any registry.
Display name for the agent. Required when agentSource is external (the only source of truth for an external agent’s name). Not used for velt agents (their name is resolved server-side).
This endpoint adds comments (including agent replies) to an existing CommentAnnotation. Annotation-level fields such as type (comment / suggestion) and visibility are set when the annotation is created or updated via the Add Comment Annotations and Update Comment Annotations APIs — they are not accepted on this endpoint.
When verifyUserPermissions is enabled, the API verifies the user has access to the document before adding the comment. If verification fails, the request will be rejected.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Velt","colors":{"primary":"#272728","light":"#D5D5D5","dark":"#000000"},"logo":{"light":"https://mintcdn.com/velt/gY7ilEx2g4g3-HVe/velt-logo-big-light.png?fit=max\u0026auto=format\u0026n=gY7ilEx2g4g3-HVe\u0026q=85\u0026s=c75fd62a074f53174a364509b4363fdc","dark":"https://mintcdn.com/velt/gY7ilEx2g4g3-HVe/velt-logo-big.png?fit=max\u0026auto=format\u0026n=gY7ilEx2g4g3-HVe\u0026q=85\u0026s=3b5f452918e68f127b7dcae71c396463","href":"https://docs.velt.dev"},"favicon":"https://mintcdn.com/velt/gY7ilEx2g4g3-HVe/velt-favi.png?fit=max\u0026auto=format\u0026n=gY7ilEx2g4g3-HVe\u0026q=85\u0026s=5ddfb042b3fd320882626c440411bd95","api":{"playground":{"display":"interactive"}},"appearance":{"default":"dark"},"background":{"color":{"dark":"#090014"}},"navbar":{"primary":{"type":"button","label":"Get API Key","href":"https://console.velt.dev/"}},"footer":{"socials":{"twitter":"https://twitter.com/veltjs","linkedin":"https://www.linkedin.com/company/veltjs"}},"search":{"prompt":"Search or ask..."},"seo":{"metatags":{"og:image":"https://firebasestorage.googleapis.com/v0/b/snippyly.appspot.com/o/external%2Fvelt_docs.png?alt=media\u0026token=9e4502da-66ef-4005-9124-dbc76f04b1fd","twitter:image":"https://firebasestorage.googleapis.com/v0/b/snippyly.appspot.com/o/external%2Fvelt_docs.png?alt=media\u0026token=9e4502da-66ef-4005-9124-dbc76f04b1fd","twitter:card":"summary_large_image"},"indexing":"all"},"integrations":{"intercom":{"appId":"fxx14qnk"},"mixpanel":{"projectToken":"6fe5c5cd3adeb341288776482e7bb147"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"velt","hasAudioNarration":false,"actualSubdomain":"velt","customDomains":["velt.dev"],"gitSource":{"type":"github","owner":"velt-js","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeaec9cd4a2465447e7dd9d","collectionId":"c55a8d84-f3bd-4e45-aa44-82e3d31c316c","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeaec9cd4a2465447e7dd9d"},"feedback":{"thumbs":true,"edits":true,"issues":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aeaec9cd4a2465447e7dd9d","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":218},{"language":"default","tag":"REST APIs","count":215},{"language":"default","tag":"v2","count":170},{"language":"default","tag":"Documentation","count":168},{"language":"default","tag":"UI Customization","count":125},{"language":"default","tag":"Comments","count":94},{"language":"default","tag":"Release Notes","count":90},{"language":"default","tag":"Components: Async Collaboration","count":75},{"language":"default","tag":"Async Collaboration","count":62},{"language":"default","tag":"Realtime Collaboration","count":46}],"searchSettings":{"showContentSnippets":true,"isFiltersEnabled":true}},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"rakesh@velt.dev","showHelpButton":true}},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":""},{"filePath":"style.css","content":"::-webkit-scrollbar{display:none}*{-ms-overflow-style:none;scrollbar-width:none}th{text-align:left}.update-container .relative{max-width:525px!important}#table-of-contents-content{overflow-x:clip;height:100%}"},{"filePath":"public/custom.css","content":""}],"page":{"pagePath":"api-reference/rest-apis/v2/comments-feature/comments/add-comments","slug":"/api-reference/rest-apis/v2/comments-feature/comments/add-comments","pageMetadata":{"title":"Add Comments","api":"POST https://api.velt.dev/v2/commentannotations/comments/add","description":null,"href":"/api-reference/rest-apis/v2/comments-feature/comments/add-comments"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Note,ParamField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Use this API to add comments within a specific CommentAnnotation.`}),`\n`,_jsx(Heading,{level:`1`,id:`endpoint`,children:`Endpoint`}),`\n`,_jsx(_components.p,{children:_jsx(_components.code,{children:`POST https://api.velt.dev/v2/commentannotations/comments/add`})}),`\n`,_jsx(Heading,{level:`1`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`x-velt-api-key`,type:`string`,required:true,id:`param-x-velt-api-key`,children:_jsx(_components.p,{children:`Your API key.`})}),`\n`,_jsx(ParamField,{header:`x-velt-auth-token`,type:`string`,required:true,id:`param-x-velt-auth-token`,children:_jsxs(_components.p,{children:[`Your `,_jsx(_components.a,{href:`/security/auth-tokens`,children:`Auth Token`}),`.`]})}),`\n`,_jsx(Heading,{level:`1`,id:`body`,children:`Body`}),`\n`,_jsx(Heading,{level:`4`,id:`params`,children:`Params`}),`\n`,_jsx(ParamField,{body:`data`,type:`object`,required:true,id:`param-data`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`organizationId`,type:`string`,required:true,id:`param-organization-id`,children:_jsx(_components.p,{children:`Organization ID`})}),_jsx(ParamField,{body:`createOrganization`,type:`boolean`,id:`param-create-organization`,children:_jsx(_components.p,{children:`If set to true, a new organization will be created (if it doesn’t exist) before the comment is added.`})}),_jsx(ParamField,{body:`documentId`,type:`string`,required:true,id:`param-document-id`,children:_jsx(_components.p,{children:`Document ID`})}),_jsx(ParamField,{body:`createDocument`,type:`boolean`,id:`param-create-document`,children:_jsx(_components.p,{children:`If set to true, a new document will be created (if it doesn’t exist) before the comment is added.`})}),_jsx(ParamField,{body:`annotationId`,type:`string`,required:true,id:`param-annotation-id`,children:_jsx(_components.p,{children:`Comment Annotation ID`})}),_jsxs(ParamField,{body:`verifyUserPermissions`,type:`boolean`,id:`param-verify-user-permissions`,children:[_jsx(_components.p,{children:`When enabled, verifies the user has access to the document before adding comments.\nThis ensures comments respect document access permissions configured via Access Control or Permission Provider.`}),_jsxs(_components.p,{children:[`Default: `,_jsx(_components.code,{children:`false`})]})]}),_jsxs(ParamField,{body:`commentData`,type:`Comment[]`,required:true,id:`param-comment-data`,children:[_jsx(_components.p,{children:`Array of Comment Data`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`commentId`,type:`number`,id:`param-comment-id`,children:_jsx(_components.p,{children:`Custom Comment ID. If not provided, Velt will generate a unique ID for the comment.`})}),_jsx(ParamField,{body:`commentText`,type:`string`,id:`param-comment-text`,children:_jsx(_components.p,{children:`Comment content in plain text string`})}),_jsx(ParamField,{body:`commentHtml`,type:`string`,id:`param-comment-html`,children:_jsx(_components.p,{children:`Comment content in HTML string`})}),_jsx(ParamField,{body:`context`,type:`object`,id:`param-context`,children:_jsx(_components.p,{children:`Custom key/value metadata object. This is used to store any additional information about the comment.`})}),_jsx(ParamField,{body:`isCommentResolverUsed`,type:`boolean`,id:`param-is-comment-resolver-used`,children:_jsx(_components.p,{children:`Use this for self-hosting comments data. Set this as true if you are comments resolver data provider in the SDK.`})}),_jsx(ParamField,{body:`isCommentTextAvailable`,type:`boolean`,id:`param-is-comment-text-available`,children:_jsx(_components.p,{children:`Use this for self-hosting comments data. Set this as true if this comment will have text content. Sometimes, comments might only have attachments and in that case, set this as false.`})}),_jsx(ParamField,{body:`progress`,type:`CommentProgress`,id:`param-progress`,children:_jsxs(_components.p,{children:[`Turns this comment into a live progress row while `,_jsx(_components.code,{children:`progress.state`}),` is `,_jsx(_components.code,{children:`active`}),`. See `,_jsx(_components.a,{href:`/api-reference/sdk/models/data-models#commentprogress`,children:`CommentProgress`}),` for the full shape. `,_jsx(_components.code,{children:`steps`}),` is capped at 100 entries.`]})}),_jsx(ParamField,{body:`actions`,type:`CommentAction[]`,id:`param-actions`,children:_jsxs(_components.p,{children:[`Customer-defined action chips rendered on this comment row. Overrides the annotation-level `,_jsx(_components.code,{children:`actions`}),` default for this row. Capped at 20 entries. See `,_jsx(_components.a,{href:`/api-reference/sdk/models/data-models#commentaction`,children:`CommentAction`}),` for the full shape.`]})}),_jsx(ParamField,{body:`triggerNotification`,type:`boolean`,id:`param-trigger-notification`,children:_jsxs(_components.p,{children:[`When enabled, this reply triggers exactly one notification through the same funnel as a new comment. Defaults to `,_jsx(_components.code,{children:`false`}),` and is never persisted onto the comment.`]})}),_jsx(ParamField,{body:`from`,type:`User`,required:true,id:`param-from`,children:_jsx(_components.p,{children:`User object from whom the comment is added`})}),_jsx(ParamField,{body:`createdAt`,type:`number`,id:`param-created-at`,children:_jsx(_components.p,{children:`Created At timestamp (in milliseconds since epoch).`})}),_jsx(ParamField,{body:`lastUpdated`,type:`number`,id:`param-last-updated`,children:_jsx(_components.p,{children:`Last Updated timestamp (in milliseconds since epoch).`})}),_jsxs(ParamField,{body:`taggedUserContacts`,type:`object[]`,id:`param-tagged-user-contacts`,children:[_jsx(_components.p,{children:`Array of tagged user contacts`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`text`,type:`string`,required:true,id:`param-text`,children:_jsx(_components.p,{children:`Display text of the tagged user (e.g. “@Username”)`})}),_jsx(ParamField,{body:`userId`,type:`string`,required:true,id:`param-user-id`,children:_jsx(_components.p,{children:`User ID of the tagged user`})}),_jsx(ParamField,{body:`contact`,type:`object`,required:true,id:`param-contact`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`email`,type:`string`,required:true,id:`param-email`,children:_jsx(_components.p,{children:`Email of the tagged user`})}),_jsx(ParamField,{body:`name`,type:`string`,required:true,id:`param-name`,children:_jsx(_components.p,{children:`Name of the tagged user`})}),_jsx(ParamField,{body:`userId`,type:`string`,required:true,id:`param-user-id-1`,children:_jsx(_components.p,{children:`User ID of the tagged user`})})]})})]})]}),_jsxs(ParamField,{body:`attachments`,type:`object[]`,id:`param-attachments`,children:[_jsxs(_components.p,{children:[`Array of attachments to include with the comment. See `,_jsx(_components.a,{href:`/api-reference/sdk/models/data-models#attachment`,children:`Attachment`}),` for full schema details.`]}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`attachmentId`,type:`number`,required:true,id:`param-attachment-id`,children:_jsx(_components.p,{children:`Unique identifier for the attachment`})}),_jsx(ParamField,{body:`name`,type:`string`,id:`param-name-1`,children:_jsx(_components.p,{children:`File name of the attachment`})}),_jsx(ParamField,{body:`bucketPath`,type:`string`,id:`param-bucket-path`,children:_jsx(_components.p,{children:`Path to the file in storage bucket`})}),_jsx(ParamField,{body:`size`,type:`number`,id:`param-size`,children:_jsx(_components.p,{children:`File size in bytes`})}),_jsx(ParamField,{body:`type`,type:`string`,id:`param-type`,children:_jsx(_components.p,{children:`File type (e.g., “image”, “video”, “document”)`})}),_jsx(ParamField,{body:`url`,type:`string`,id:`param-url`,children:_jsx(_components.p,{children:`Download URL of the attachment`})}),_jsx(ParamField,{body:`thumbnail`,type:`string`,id:`param-thumbnail`,children:_jsx(_components.p,{children:`Thumbnail URL of the attachment`})}),_jsx(ParamField,{body:`mimeType`,type:`string`,id:`param-mime-type`,children:_jsx(_components.p,{children:`MIME type of the attachment (e.g., “image/png”, “video/mp4”)`})}),_jsx(ParamField,{body:`metadata`,type:`object`,id:`param-metadata`,children:_jsx(_components.p,{children:`Custom metadata for the attachment (e.g., dimensions, timestamps, etc.)`})})]})]}),_jsxs(ParamField,{body:`agent`,type:`object`,id:`param-agent`,children:[_jsxs(_components.p,{children:[`Marks this comment as an agent-authored reply. V2 only. When set, the server stamps `,_jsx(_components.code,{children:`sourceType: \"agent\"`}),` on the comment. Discriminated on `,_jsx(_components.code,{children:`agentSource`}),`.`]}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`agentSource`,type:`string`,required:true,id:`param-agent-source`,children:_jsxs(_components.p,{children:[`Origin of the agent. Must be one of: `,_jsx(_components.code,{children:`velt`}),` or `,_jsx(_components.code,{children:`external`}),`.`]})}),_jsx(ParamField,{body:`agentId`,type:`string`,required:true,id:`param-agent-id`,children:_jsxs(_components.p,{children:[`Agent ID. Must be non-empty for both sources. When `,_jsx(_components.code,{children:`agentSource`}),` is `,_jsx(_components.code,{children:`velt`}),`, it is a built-in agent like `,_jsx(_components.code,{children:`spell-check`}),` or a custom agent ID that is verified server-side (unknown IDs return `,_jsx(_components.code,{children:`NOT_FOUND`}),`). When `,_jsx(_components.code,{children:`agentSource`}),` is `,_jsx(_components.code,{children:`external`}),`, it is your own identifier — opaque and never validated against any registry.`]})}),_jsx(ParamField,{body:`executionId`,type:`string`,id:`param-execution-id`,children:_jsx(_components.p,{children:`Execution / run ID for this agent invocation.`})}),_jsx(ParamField,{body:`agentName`,type:`string`,id:`param-agent-name`,children:_jsxs(_components.p,{children:[`Display name for the agent. `,_jsxs(_components.strong,{children:[`Required when `,_jsx(_components.code,{children:`agentSource`}),` is `,_jsx(_components.code,{children:`external`})]}),` (the only source of truth for an external agent’s name). Not used for `,_jsx(_components.code,{children:`velt`}),` agents (their name is resolved server-side).`]})}),_jsx(ParamField,{body:`url`,type:`string`,id:`param-url-1`,children:_jsx(_components.p,{children:`Page URL associated with the finding.`})}),_jsxs(ParamField,{body:`reason`,type:`object`,required:true,id:`param-reason`,children:[_jsx(_components.p,{children:`Finding details produced by the agent. Additional custom fields are preserved.`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`title`,type:`string`,required:true,id:`param-title`,children:_jsx(_components.p,{children:`Short finding title.`})}),_jsx(ParamField,{body:`description`,type:`string`,required:true,id:`param-description`,children:_jsx(_components.p,{children:`Finding description.`})}),_jsx(ParamField,{body:`severity`,type:`string`,required:true,id:`param-severity`,children:_jsxs(_components.p,{children:[`Severity of the finding. Must be one of: `,_jsx(_components.code,{children:`critical`}),`, `,_jsx(_components.code,{children:`high`}),`, `,_jsx(_components.code,{children:`medium`}),`, `,_jsx(_components.code,{children:`low`}),`, or `,_jsx(_components.code,{children:`info`}),`.`]})}),_jsx(ParamField,{body:`findingId`,type:`string`,id:`param-finding-id`,children:_jsx(_components.p,{children:`Unique identifier for the finding.`})}),_jsx(ParamField,{body:`findingType`,type:`string`,id:`param-finding-type`,children:_jsxs(_components.p,{children:[`Type of finding. Must be one of: `,_jsx(_components.code,{children:`text`}),`, `,_jsx(_components.code,{children:`pin`}),`, or `,_jsx(_components.code,{children:`page`}),`.`]})}),_jsx(ParamField,{body:`issueType`,type:`string`,id:`param-issue-type`,children:_jsx(_components.p,{children:`Custom issue classification.`})}),_jsx(ParamField,{body:`confidence`,type:`number`,id:`param-confidence`,children:_jsx(_components.p,{children:`Confidence score for the finding. Integer between 0 and 100.`})}),_jsx(ParamField,{body:`suggestion`,type:`string`,id:`param-suggestion`,children:_jsx(_components.p,{children:`Suggested change in plain text.`})}),_jsx(ParamField,{body:`suggestedFix`,type:`string`,id:`param-suggested-fix`,children:_jsx(_components.p,{children:`Suggested fix for the finding.`})}),_jsx(ParamField,{body:`htmlSnippet`,type:`string`,id:`param-html-snippet`,children:_jsx(_components.p,{children:`Relevant HTML snippet for the finding.`})}),_jsx(ParamField,{body:`htmlSelector`,type:`string`,id:`param-html-selector`,children:_jsx(_components.p,{children:`CSS/HTML selector pointing to the finding location.`})}),_jsx(ParamField,{body:`source`,type:`string`,id:`param-source`,children:_jsxs(_components.p,{children:[`Provenance of the rule that triggered the finding. Must be one of: `,_jsx(_components.code,{children:`instructions`}),` or `,_jsx(_components.code,{children:`knowledge`}),`.`]})}),_jsx(ParamField,{body:`knowledgeSection`,type:`string`,id:`param-knowledge-section`,children:_jsx(_components.p,{children:`Knowledge section that triggered the finding.`})})]})]})]})]})]})]})]})}),`\n`,_jsx(Heading,{level:`2`,id:`example-requests`,children:_jsx(_components.strong,{children:`Example Requests`})}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`This endpoint adds comments (including agent replies) to an existing CommentAnnotation. Annotation-level fields such as `,_jsx(_components.code,{children:`type`}),` (`,_jsx(_components.code,{children:`comment`}),` / `,_jsx(_components.code,{children:`suggestion`}),`) and `,_jsx(_components.code,{children:`visibility`}),` are set when the annotation is created or updated via the `,_jsx(_components.a,{href:`/api-reference/rest-apis/v2/comments-feature/comment-annotations/add-comment-annotations`,children:`Add Comment Annotations`}),` and Update Comment Annotations APIs — they are not accepted on this endpoint.`]})}),`\n`,_jsx(Heading,{level:`4`,id:`1-add-comment-in-a-commentannotation-by-organizationid-documentid-and-annotationid`,children:`1. Add comment in a CommentAnnotation by organizationId, documentId, and annotationId`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`16`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`16`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"organizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourOrganizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"documentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourDocumentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"annotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourAnnotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentData\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentText\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Sample Comment\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentHtml\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003cdiv>Hello\u003c/div>\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"from\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"userId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourUserId\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`4`,id:`2-add-comment-with-permission-verification`,children:`2. Add comment with permission verification`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`17`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`17`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"organizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourOrganizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"documentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourDocumentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"annotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourAnnotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"verifyUserPermissions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentData\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentText\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Sample Comment\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentHtml\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003cdiv>Hello\u003c/div>\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"from\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"userId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourUserId\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`When `,_jsx(_components.code,{children:`verifyUserPermissions`}),` is enabled, the API verifies the user has access to the document before adding the comment. If verification fails, the request will be rejected.`]})}),`\n`,_jsx(Heading,{level:`4`,id:`3-add-comment-with-attachments`,children:`3. Add comment with attachments`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`37`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`37`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"organizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourOrganizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"createOrganization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"documentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourDocumentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"createDocument\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"annotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourAnnotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentData\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`123`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentText\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Please review this screenshot\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentHtml\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003cdiv>Please review this screenshot\u003c/div>\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"context\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"attachments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"attachmentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`100001`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"screenshot.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"bucketPath\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"attachments/org-123/doc-456/screenshot.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"size\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1024000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"image\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://storage.googleapis.com/bucket/screenshot.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"thumbnail\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://storage.googleapis.com/bucket/screenshot_thumb.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"mimeType\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"image/png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metadata\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"width\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1920`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"height\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1080`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"uploadedAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1696118400000`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"from\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"userId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourUserId\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`4`,id:`4-add-an-agent-reply`,children:`4. Add an agent reply`}),`\n`,_jsxs(_components.p,{children:[`Attach an `,_jsx(_components.code,{children:`agent`}),` block to mark the comment as agent-authored. The server stamps `,_jsx(_components.code,{children:`sourceType: \"agent\"`}),` on the comment.`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`27`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`27`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"organizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourOrganizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"documentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourDocumentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"annotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourAnnotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentData\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentText\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"I fixed the spelling. Please re-review.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"from\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"userId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"spell-check\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Spell Check Agent\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agent\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agentSource\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"velt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"spell-check\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"executionId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"exec_124\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"reason\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Spelling corrected\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Updated 'Welcom' to 'Welcome'.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"severity\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"info\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"findingType\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"text\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`4`,id:`5-add-a-reply-with-a-progress-row-and-action-chips`,children:`5. Add a reply with a progress row and action chips`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`24`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`24`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"organizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourOrganizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"documentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourDocumentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"annotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourAnnotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentData\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isCommentTextAvailable\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"progress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"active\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"steps\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Fetching data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"active\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"actions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"approve\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Approve\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"from\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"userId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"agent-1\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`1`,id:`response`,children:`Response`}),`\n`,_jsx(Heading,{level:`4`,id:`success-response`,children:`Success Response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`9`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"result\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Comment(s) added successfully.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 778115`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`4`,id:`failure-response`,children:`Failure Response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ERROR_MESSAGE\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"INVALID_ARGUMENT\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Add Comments","api":"POST https://api.velt.dev/v2/commentannotations/comments/add","description":null,"href":"/api-reference/rest-apis/v2/comments-feature/comments/add-comments"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[333,337,",ResponseExample}=_c"],[602,617,"if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);return _jsxs(_F"],[58590,58602,",`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:``,numberOfLines:`9`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"result\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Comment(s) added successfully.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 778115`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function"]]},"mdxExtracts":{"tableOfContents":[{"title":"Endpoint","slug":"endpoint","depth":1,"children":[]},{"title":"Headers","slug":"headers","depth":1,"children":[]},{"title":"Body","slug":"body","depth":1,"children":[{"title":"Params","slug":"params","depth":4,"children":[]}]},{"title":"Example Requests","slug":"example-requests","depth":2,"children":[{"title":"1. Add comment in a CommentAnnotation by organizationId, documentId, and annotationId","slug":"1-add-comment-in-a-commentannotation-by-organizationid-documentid-and-annotationid","depth":4,"children":[]},{"title":"2. Add comment with permission verification","slug":"2-add-comment-with-permission-verification","depth":4,"children":[]},{"title":"3. Add comment with attachments","slug":"3-add-comment-with-attachments","depth":4,"children":[]},{"title":"4. Add an agent reply","slug":"4-add-an-agent-reply","depth":4,"children":[]},{"title":"5. Add a reply with a progress row and action chips","slug":"5-add-a-reply-with-a-progress-row-and-action-chips","depth":4,"children":[]}]},{"title":"Response","slug":"response","depth":1,"children":[{"title":"Success Response","slug":"success-response","depth":4,"children":[]},{"title":"Failure Response","slug":"failure-response","depth":4,"children":[]}]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"javascript\">\u003ccode language=\"javascript\" numberOfLines=\"9\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"result\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Comment(s) added successfully.\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">:\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 778115\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Add Comments","path":"/v2/commentannotations/comments/add","servers":[{"url":"https://api.velt.dev"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{"x-velt-api-key":{"schema":[{"type":"string","description":"Your API key.","required":true}]},"x-velt-auth-token":{"schema":[{"type":"string","description":"Your Auth Token .","required":true}]}},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"data":[{"type":"object","properties":{"organizationId":[{"type":"string","description":"Organization ID","required":true}],"createOrganization":[{"type":"boolean","description":"If set to true, a new organization will be created (if it doesn’t exist) before the comment is added."}],"documentId":[{"type":"string","description":"Document ID","required":true}],"createDocument":[{"type":"boolean","description":"If set to true, a new document will be created (if it doesn’t exist) before the comment is added."}],"annotationId":[{"type":"string","description":"Comment Annotation ID","required":true}],"verifyUserPermissions":[{"type":"boolean","description":"When enabled, verifies the user has access to the document before adding comments. This ensures comments respect document access permissions configured via Access Control or Permission Provider. Default: `false`"}],"commentData":[{"type":"array","items":[{"type":"object","properties":{"commentId":[{"type":"number","description":"Custom Comment ID. If not provided, Velt will generate a unique ID for the comment."}],"commentText":[{"type":"string","description":"Comment content in plain text string"}],"commentHtml":[{"type":"string","description":"Comment content in HTML string"}],"context":[{"type":"object","properties":{},"description":"Custom key/value metadata object. This is used to store any additional information about the comment."}],"isCommentResolverUsed":[{"type":"boolean","description":"Use this for self-hosting comments data. Set this as true if you are comments resolver data provider in the SDK."}],"isCommentTextAvailable":[{"type":"boolean","description":"Use this for self-hosting comments data. Set this as true if this comment will have text content. Sometimes, comments might only have attachments and in that case, set this as false."}],"progress":[{"type":"object","properties":{},"description":"Turns this comment into a live progress row while `progress.state` is `active` . See CommentProgress for the full shape. `steps` is capped at 100 entries."}],"actions":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"Customer-defined action chips rendered on this comment row. Overrides the annotation-level `actions` default for this row. Capped at 20 entries. See CommentAction for the full shape."}],"triggerNotification":[{"type":"boolean","description":"When enabled, this reply triggers exactly one notification through the same funnel as a new comment. Defaults to `false` and is never persisted onto the comment."}],"from":[{"type":"object","properties":{},"description":"User object from whom the comment is added","required":true}],"createdAt":[{"type":"number","description":"Created At timestamp (in milliseconds since epoch)."}],"lastUpdated":[{"type":"number","description":"Last Updated timestamp (in milliseconds since epoch)."}],"taggedUserContacts":[{"type":"array","items":[{"type":"object","properties":{"text":[{"type":"string","description":"Display text of the tagged user (e.g. “@Username”)","required":true}],"userId":[{"type":"string","description":"User ID of the tagged user","required":true}],"contact":[{"type":"object","properties":{"email":[{"type":"string","description":"Email of the tagged user","required":true}],"name":[{"type":"string","description":"Name of the tagged user","required":true}],"userId":[{"type":"string","description":"User ID of the tagged user","required":true}]},"required":true}]}}],"description":"Array of tagged user contacts"}],"attachments":[{"type":"array","items":[{"type":"object","properties":{"attachmentId":[{"type":"number","description":"Unique identifier for the attachment","required":true}],"name":[{"type":"string","description":"File name of the attachment"}],"bucketPath":[{"type":"string","description":"Path to the file in storage bucket"}],"size":[{"type":"number","description":"File size in bytes"}],"type":[{"type":"string","description":"File type (e.g., “image”, “video”, “document”)"}],"url":[{"type":"string","description":"Download URL of the attachment"}],"thumbnail":[{"type":"string","description":"Thumbnail URL of the attachment"}],"mimeType":[{"type":"string","description":"MIME type of the attachment (e.g., “image/png”, “video/mp4”)"}],"metadata":[{"type":"object","properties":{},"description":"Custom metadata for the attachment (e.g., dimensions, timestamps, etc.)"}]}}],"description":"Array of attachments to include with the comment. See Attachment for full schema details."}],"agent":[{"type":"object","properties":{"agentSource":[{"type":"string","description":"Origin of the agent. Must be one of: `velt` or `external` .","required":true}],"agentId":[{"type":"string","description":"Agent ID. Must be non-empty for both sources. When `agentSource` is `velt` , it is a built-in agent like `spell-check` or a custom agent ID that is verified server-side (unknown IDs return `NOT_FOUND` ). When `agentSource` is `external` , it is your own identifier — opaque and never validated against any registry.","required":true}],"executionId":[{"type":"string","description":"Execution / run ID for this agent invocation."}],"agentName":[{"type":"string","description":"Display name for the agent. Required when `agentSource` is `external` (the only source of truth for an external agent’s name). Not used for `velt` agents (their name is resolved server-side)."}],"url":[{"type":"string","description":"Page URL associated with the finding."}],"reason":[{"type":"object","properties":{"title":[{"type":"string","description":"Short finding title.","required":true}],"description":[{"type":"string","description":"Finding description.","required":true}],"severity":[{"type":"string","description":"Severity of the finding. Must be one of: `critical` , `high` , `medium` , `low` , or `info` .","required":true}],"findingId":[{"type":"string","description":"Unique identifier for the finding."}],"findingType":[{"type":"string","description":"Type of finding. Must be one of: `text` , `pin` , or `page` ."}],"issueType":[{"type":"string","description":"Custom issue classification."}],"confidence":[{"type":"number","description":"Confidence score for the finding. Integer between 0 and 100."}],"suggestion":[{"type":"string","description":"Suggested change in plain text."}],"suggestedFix":[{"type":"string","description":"Suggested fix for the finding."}],"htmlSnippet":[{"type":"string","description":"Relevant HTML snippet for the finding."}],"htmlSelector":[{"type":"string","description":"CSS/HTML selector pointing to the finding location."}],"source":[{"type":"string","description":"Provenance of the rule that triggered the finding. Must be one of: `instructions` or `knowledge` ."}],"knowledgeSection":[{"type":"string","description":"Knowledge section that triggered the finding."}]},"description":"Finding details produced by the agent. Additional custom fields are preserved.","required":true}]},"description":"Marks this comment as an agent-authored reply. V2 only. When set, the server stamps `sourceType: \"agent\"` on the comment. Discriminated on `agentSource` ."}]}}],"description":"Array of Comment Data","required":true}]},"required":true}]}}],"examples":{"example":{"value":{"data":{"organizationId":"\u003cstring>","createOrganization":true,"documentId":"\u003cstring>","createDocument":true,"annotationId":"\u003cstring>","verifyUserPermissions":true,"commentData":[{"commentId":123,"commentText":"\u003cstring>","commentHtml":"\u003cstring>","context":{},"isCommentResolverUsed":true,"isCommentTextAvailable":true,"progress":{},"actions":[{}],"triggerNotification":true,"from":{},"createdAt":123,"lastUpdated":123,"taggedUserContacts":[{"text":"\u003cstring>","userId":"\u003cstring>","contact":{"email":"\u003cstring>","name":"\u003cstring>","userId":"\u003cstring>"}}],"attachments":[{"attachmentId":123,"name":"\u003cstring>","bucketPath":"\u003cstring>","size":123,"type":"\u003cstring>","url":"\u003cstring>","thumbnail":"\u003cstring>","mimeType":"\u003cstring>","metadata":{}}],"agent":{"agentSource":"\u003cstring>","agentId":"\u003cstring>","executionId":"\u003cstring>","agentName":"\u003cstring>","url":"\u003cstring>","reason":{"title":"\u003cstring>","description":"\u003cstring>","severity":"\u003cstring>","findingId":"\u003cstring>","findingType":"\u003cstring>","issueType":"\u003cstring>","confidence":123,"suggestion":"\u003cstring>","suggestedFix":"\u003cstring>","htmlSnippet":"\u003cstring>","htmlSelector":"\u003cstring>","source":"\u003cstring>","knowledgeSection":"\u003cstring>"}}}]}}}}}}},"response":{},"deprecated":false}},"jsLinks":["/docs/_mintlify/custom/velt/752c38235fc975ab/reb2b-tracking.js","/docs/_mintlify/custom/velt/39475307ed77f9b2/signals-tracking.js"],"subdomain":"velt","siteName":"Velt","title":"Add Comments - Velt","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-29T20:56:02.047Z","originalFileLocation":"api-reference/rest-apis/v2/comments-feature/comments/add-comments.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Velt\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Add Comments - Velt\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Velt\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/add-comments\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://firebasestorage.googleapis.com/v0/b/snippyly.appspot.com/o/external%2Fvelt_docs.png?alt=media\u0026amp;token=9e4502da-66ef-4005-9124-dbc76f04b1fd\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Add Comments - Velt\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://firebasestorage.googleapis.com/v0/b/snippyly.appspot.com/o/external%2Fvelt_docs.png?alt=media\u0026amp;token=9e4502da-66ef-4005-9124-dbc76f04b1fd\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Velt\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#272728\">\u003clink data-mint-head rel=\"canonical\" href=\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/add-comments\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/rest-apis/v2/comments-feature/comments/add-comments.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://velt.dev/#organization\",\"name\":\"Velt\",\"url\":\"https://velt.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/velt/gY7ilEx2g4g3-HVe/velt-logo-big-light.png?fit=max\u0026auto=format\u0026n=gY7ilEx2g4g3-HVe\u0026q=85\u0026s=c75fd62a074f53174a364509b4363fdc\"}},{\"@type\":\"WebSite\",\"@id\":\"https://velt.dev/docs#website\",\"name\":\"Velt\",\"url\":\"https://velt.dev/docs\",\"publisher\":{\"@id\":\"https://velt.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/add-comments#webpage\",\"url\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/add-comments\",\"name\":\"Add Comments\",\"dateModified\":\"2026-10-29T20:56:02.047Z\",\"isPartOf\":{\"@id\":\"https://velt.dev/docs#website\"},\"breadcrumb\":{\"@id\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/add-comments#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/add-comments#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"REST APIs\",\"item\":\"https://velt.dev/docs/api-reference/rest-apis/v2/organizations/add-organizations\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"v2\",\"item\":\"https://velt.dev/docs/api-reference/rest-apis/v2/organizations/add-organizations\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Comments Feature\",\"item\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comment-annotations/add-comment-annotations\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Add Comments\",\"item\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/add-comments\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/add-comments#apireference\",\"headline\":\"Add Comments\",\"name\":\"Add Comments\",\"url\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/add-comments\",\"mainEntityOfPage\":{\"@id\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/add-comments#webpage\"},\"image\":\"https://firebasestorage.googleapis.com/v0/b/snippyly.appspot.com/o/external%2Fvelt_docs.png?alt=media\u0026token=9e4502da-66ef-4005-9124-dbc76f04b1fd\",\"dateModified\":\"2026-10-29T20:56:02.047Z\",\"publisher\":{\"@id\":\"https://velt.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://velt.dev/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Velt\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Velt","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/get-started/overview"}]},{"tab":"UI Customization","pages":[{"title":"UI Customization","href":"/ui-customization/overview"}]},{"tab":"API Reference","groups":[{"group":"REST APIs","pages":[{"group":"v2","pages":[{"group":"Organizations","pages":[{"title":"Add Organizations","api":"POST https://api.velt.dev/v2/organizations/add","href":"/api-reference/rest-apis/v2/organizations/add-organizations"},{"title":"Get Organizations","api":"POST https://api.velt.dev/v2/organizations/get","href":"/api-reference/rest-apis/v2/organizations/get-organizations-v2"},{"title":"Update Organizations","api":"POST https://api.velt.dev/v2/organizations/update","href":"/api-reference/rest-apis/v2/organizations/update-organizations"},{"title":"Delete Organizations","api":"POST https://api.velt.dev/v2/organizations/delete","href":"/api-reference/rest-apis/v2/organizations/delete-organizations"},{"title":"Update Disabled State for Organizations","api":"POST https://api.velt.dev/v2/organizations/access/disablestate/update","href":"/api-reference/rest-apis/v2/organizations/update-organization-disable-state"}]},{"group":"Folders","pages":[{"title":"Add Folder","api":"POST https://api.velt.dev/v2/organizations/folders/add","href":"/api-reference/rest-apis/v2/folders/add-folder"},{"title":"Get Folders","api":"POST https://api.velt.dev/v2/organizations/folders/get","href":"/api-reference/rest-apis/v2/folders/get-folders"},{"title":"Update Folder","api":"POST https://api.velt.dev/v2/organizations/folders/update","href":"/api-reference/rest-apis/v2/folders/update-folder"},{"title":"Delete Folder","api":"POST https://api.velt.dev/v2/organizations/folders/delete","href":"/api-reference/rest-apis/v2/folders/delete-folder"},{"title":"Update Access for Folders","api":"POST https://api.velt.dev/v2/organizations/folders/access/update","href":"/api-reference/rest-apis/v2/folders/update-folder-access"}]},{"group":"Documents","pages":[{"title":"Add Documents","api":"POST https://api.velt.dev/v2/organizations/documents/add","href":"/api-reference/rest-apis/v2/documents/add-documents"},{"title":"Get Documents","api":"POST https://api.velt.dev/v2/organizations/documents/get","href":"/api-reference/rest-apis/v2/documents/get-documents-v2"},{"title":"Update Documents","api":"POST https://api.velt.dev/v2/organizations/documents/update","href":"/api-reference/rest-apis/v2/documents/update-documents"},{"title":"Delete Documents","api":"POST https://api.velt.dev/v2/organizations/documents/delete","href":"/api-reference/rest-apis/v2/documents/delete-documents"},{"title":"Move Documents","api":"POST https://api.velt.dev/v2/organizations/documents/move","href":"/api-reference/rest-apis/v2/documents/move-documents"},{"title":"Migrate Documents","api":"POST https://api.velt.dev/v2/organizations/documents/migrate","href":"/api-reference/rest-apis/v2/documents/migrate-documents"},{"title":"Migrate Documents Status","api":"POST https://api.velt.dev/v2/organizations/documents/migrate/status","href":"/api-reference/rest-apis/v2/documents/migrate-documents-status"},{"title":"Update Access for Documents","api":"POST https://api.velt.dev/v2/organizations/documents/access/update","href":"/api-reference/rest-apis/v2/documents/update-document-access"},{"title":"Update Disabled State for Documents","api":"POST https://api.velt.dev/v2/organizations/documents/access/disablestate/update","href":"/api-reference/rest-apis/v2/documents/update-document-disable-state"}]},{"group":"Users","pages":[{"title":"Add Users","api":"POST https://api.velt.dev/v2/users/add","href":"/api-reference/rest-apis/v2/users/add-users"},{"title":"Get Users","api":"POST https://api.velt.dev/v2/users/get","href":"/api-reference/rest-apis/v2/users/get-users-v2"},{"title":"Update Users","api":"POST https://api.velt.dev/v2/users/update","href":"/api-reference/rest-apis/v2/users/update-users"},{"title":"Delete Users","api":"POST https://api.velt.dev/v2/users/delete","href":"/api-reference/rest-apis/v2/users/delete-users"}]},{"group":"User Groups","pages":[{"title":"Add User Groups","api":"POST https://api.velt.dev/v2/organizations/usergroups/add","href":"/api-reference/rest-apis/v2/user-groups/add-groups"},{"title":"Add Users to Groups","api":"POST https://api.velt.dev/v2/organizations/usergroups/users/add","href":"/api-reference/rest-apis/v2/user-groups/add-users-to-group"},{"title":"Delete Users from Groups","api":"POST https://api.velt.dev/v2/organizations/usergroups/users/delete","href":"/api-reference/rest-apis/v2/user-groups/delete-users-from-group"}]},{"group":"Comments Feature","pages":[{"group":"Comments Annotations","pages":[{"title":"Add Comment Annotations","api":"POST https://api.velt.dev/v2/commentannotations/add","href":"/api-reference/rest-apis/v2/comments-feature/comment-annotations/add-comment-annotations"},{"title":"Get Comment Annotations","api":"POST https://api.velt.dev/v2/commentannotations/get","href":"/api-reference/rest-apis/v2/comments-feature/comment-annotations/get-comment-annotations-v2"},{"title":"Update Comment Annotations","api":"POST https://api.velt.dev/v2/commentannotations/update","href":"/api-reference/rest-apis/v2/comments-feature/comment-annotations/update-comment-annotations"},{"title":"Delete Comment Annotations","api":"POST https://api.velt.dev/v2/commentannotations/delete","href":"/api-reference/rest-apis/v2/comments-feature/comment-annotations/delete-comment-annotations"},{"title":"Get Comment Annotations Count","api":"POST https://api.velt.dev/v2/commentannotations/count/get","description":null,"href":"/api-reference/rest-apis/v2/comments-feature/comment-annotations/get-comment-annotations-count"}]},{"group":"Comments","pages":[{"title":"Add Comments","api":"POST https://api.velt.dev/v2/commentannotations/comments/add","href":"/api-reference/rest-apis/v2/comments-feature/comments/add-comments"},{"title":"Get Comments","api":"POST https://api.velt.dev/v2/commentannotations/comments/get","description":null,"href":"/api-reference/rest-apis/v2/comments-feature/comments/get-comments"},{"title":"Update Comments","api":"POST https://api.velt.dev/v2/commentannotations/comments/update","href":"/api-reference/rest-apis/v2/comments-feature/comments/update-comments"},{"title":"Delete Comments","api":"POST https://api.velt.dev/v2/commentannotations/comments/delete","href":"/api-reference/rest-apis/v2/comments-feature/comments/delete-comments"}]}]},{"group":"Notifications","pages":[{"title":"Add Notifications","api":"POST https://api.velt.dev/v2/notifications/add","href":"/api-reference/rest-apis/v2/notifications/add-notifications"},{"title":"Get Notifications","api":"POST https://api.velt.dev/v2/notifications/get","href":"/api-reference/rest-apis/v2/notifications/get-notifications-v2"},{"title":"Update Notifications","api":"POST https://api.velt.dev/v2/notifications/update","href":"/api-reference/rest-apis/v2/notifications/update-notifications"},{"title":"Delete Notifications","api":"POST https://api.velt.dev/v2/notifications/delete","href":"/api-reference/rest-apis/v2/notifications/delete-notifications"},{"title":"Set Config","api":"POST https://api.velt.dev/v2/notifications/config/set","href":"/api-reference/rest-apis/v2/notifications/set-config"},{"title":"Get Config","api":"POST https://api.velt.dev/v2/notifications/config/get","href":"/api-reference/rest-apis/v2/notifications/get-config"}]},{"group":"Activity Logs","pages":[{"title":"Add Activity Logs","api":"POST https://api.velt.dev/v2/activities/add","href":"/api-reference/rest-apis/v2/activities/add-activities"},{"title":"Get Activity Logs","api":"POST https://api.velt.dev/v2/activities/get","href":"/api-reference/rest-apis/v2/activities/get-activities"},{"title":"Update Activity Logs","api":"POST https://api.velt.dev/v2/activities/update","href":"/api-reference/rest-apis/v2/activities/update-activities"},{"title":"Delete Activity Logs","api":"POST https://api.velt.dev/v2/activities/delete","href":"/api-reference/rest-apis/v2/activities/delete-activities"}]},{"group":"Recordings","pages":[{"title":"Get Recordings","api":"POST https://api.velt.dev/v2/recordings/get","href":"/api-reference/rest-apis/v2/recordings/get-recordings"}]},{"group":"GDPR","pages":[{"title":"Get All User Data","api":"POST https://api.velt.dev/v2/users/data/get","href":"/api-reference/rest-apis/v2/gdpr/get-all-user-data-gdpr"},{"title":"Delete All User Data","api":"POST https://api.velt.dev/v2/users/data/delete","href":"/api-reference/rest-apis/v2/gdpr/delete-all-user-data-gdpr"},{"title":"Get Delete All User Data Status","api":"POST https://api.velt.dev/v2/users/data/delete/status","href":"/api-reference/rest-apis/v2/gdpr/get-delete-user-data-status-gdpr"}]},{"group":"Access Control","pages":[{"title":"Generate Token","api":"POST https://api.velt.dev/v2/auth/generate_token","href":"/api-reference/rest-apis/v2/auth/generate-token"},{"title":"Add Permissions","api":"POST https://api.velt.dev/v2/auth/permissions/add","href":"/api-reference/rest-apis/v2/auth/add-permissions"},{"title":"Get Permissions","api":"POST https://api.velt.dev/v2/auth/permissions/get","href":"/api-reference/rest-apis/v2/auth/get-permissions"},{"title":"Remove Permissions","api":"POST https://api.velt.dev/v2/auth/permissions/remove","href":"/api-reference/rest-apis/v2/auth/remove-permissions"}]},{"group":"CRDT","pages":[{"title":"Get CRDT Data","api":"POST https://api.velt.dev/v2/crdt/get","href":"/api-reference/rest-apis/v2/crdt/get-crdt-data"},{"title":"Add CRDT Data","api":"POST https://api.velt.dev/v2/crdt/add","href":"/api-reference/rest-apis/v2/crdt/add-crdt-data"},{"title":"Update CRDT Data","api":"POST https://api.velt.dev/v2/crdt/update","href":"/api-reference/rest-apis/v2/crdt/update-crdt-data"}]},{"group":"Live State","pages":[{"title":"Broadcast Event","api":"POST https://api.velt.dev/v2/livestate/broadcast","href":"/api-reference/rest-apis/v2/livestate/broadcast-event"}]},{"group":"Presence","pages":[{"title":"Add Presence","api":"POST https://api.velt.dev/v2/presence/add","href":"/api-reference/rest-apis/v2/presence/add-presence"},{"title":"Update Presence","api":"POST https://api.velt.dev/v2/presence/update","href":"/api-reference/rest-apis/v2/presence/update-presence"},{"title":"Delete Presence","api":"POST https://api.velt.dev/v2/presence/delete","href":"/api-reference/rest-apis/v2/presence/delete-presence"}]},{"group":"Rewriter","pages":[{"title":"Ask AI","api":"POST https://api.velt.dev/v2/rewriter/ask-ai","href":"/api-reference/rest-apis/v2/rewriter/ask-ai"}]},{"group":"Review Workflow Builder","pages":[{"group":"Definitions","pages":[{"title":"Create Definition","api":"POST https://api.velt.dev/v2/workflow/definitions/create","href":"/api-reference/rest-apis/v2/approval-engine/definitions/create-definition"},{"title":"Update Definition","api":"POST https://api.velt.dev/v2/workflow/definitions/update","href":"/api-reference/rest-apis/v2/approval-engine/definitions/update-definition"},{"title":"Delete Definition","api":"POST https://api.velt.dev/v2/workflow/definitions/del
[...]
